/*
  Segment8.cpp - 8-segment tube init and show functions
  Part of Tenuino - http://www.tenux.cn/

  MIT License
  Copyright (c) 2018-2018 by Tenux maker space

  You should have received a copy of the MIT License along with this 
  library; if not, contact Tenux maker space.

  CPU           : Arduino UNO
  RTOS          : None
  Version       : 1.0.00

 Create Date   : 2018/03/18-2018/03/21
 Author        : Wangshb-Wangshb
 */

#include "Segment8.h"

/*
 *    Description : Constructor,init this class.
 *    Param       : unsigned int startPin : used arduino pin number of 8 segment tube's b
 *                  unsigned int endPin   : used arduino pin number of 8 segment tube's DP
 *    Return Code : void.
 *    Author      : WangShb-wangshb
 */
Segment8::Segment8(unsigned int startPin,unsigned int endPin)
{
    unsigned int pin;
    
    if( (startPin <= 13) && (startPin >= 2) && (endPin <= 13) && (endPin >= 2) && (endPin > startPin) ) {
        for(pin = startPin ; pin <= endPin ; pin++) {
            pinMode(pin, OUTPUT);
            digitalWrite(pin, HIGH);
        }
    }
}

/*
 *    Description : Show a ditital(0-9) to 8 segment.
 *    Param       : unsigned int i : digital to show,from 0 to 9
 *    Return Code : void.
 *    Author      : WangShb-wangshb
 */
void Segment8::show(unsigned int i)
{
    if( (i<=9) && (i>=0) ) {
        for(unsigned int pin = 2; pin <= 9 ; pin++) {
            digitalWrite(pin, numStroke[i][pin - 2]);
        }
    }
}