/*
  Segment8.h - 8-segment tube init and show functions
  Part of Tenuino - http://www.tenux.cn/

  MIT License
  Copyright (c) 2018-2018 by Tenux maker space

  You should have received a copy of the MIT License along with this 
  library; if not, contact Tenux maker space.

  CPU           : Arduino UNO
  RTOS          : None
  Version       : 1.0.00

  Create Date   : 2018/03/18-2018/03/21
  Author        : Wangshb-Wangshb
 */

#ifndef Segment8_h
#define Segment8_h

#include <Arduino.h>

/*
 *    Description : Define class for 8 segment.
 *    Author      : WangShb-wangshb
 */
class Segment8
{
    public:
        Segment8(unsigned int startPin, unsigned int endPin);
        void show(unsigned int i);
    private:
        int numStroke[10][8] = {
          {0,0,0,1,0,0,0,1},                     //digital 0
          {0,1,1,1,1,1,0,1},                     //digital 1
          {0,0,1,0,0,0,1,1},                     //digital 2
          {0,0,1,0,1,0,0,1},                     //digital 3
          {0,1,0,0,1,1,0,1},                     //digital 4
          {1,0,0,0,1,0,0,1},                     //digital 5
          {1,0,0,0,0,0,0,1},                     //digital 6
          {0,0,1,1,1,1,0,1},                     //digital 7
          {0,0,0,0,0,0,0,1},                     //digital 8
          {0,0,0,0,1,0,0,1}                      //digital 9
        };
};

#endif